Name:           abf-console-client
Version:        2.7.1
Release:        1
Summary:        Console client for ABF (https://abf.rosalinux.ru)
Group:          System/Configuration/Packaging
License:        GPLv2
Url:            http://wiki.rosalab.ru/en/index.php/ABF_Console_Client
Source0:        https://abf.io/soft/abf-console-client/archive/%{name}-v%{version}.tar.gz
BuildArch:      noarch

Requires:       python-abf >= %{version}-%{release}
Requires:       python-beaker
Requires:       python-rpm
Requires:       git
Requires:       python-yaml
Requires:       python-magic
Requires:       tar >= 1.26
Requires:       wget
Suggests:       mock-urpm
Provides:       abf = %{EVRD}
Provides:       abfcc = %{EVRD}
Provides:       abf-c-c = %{EVRD}

%description
Console client for ABF (https://abf.rosalinux.ru).


%package -n     python-abf
Summary:        Python API for ABF (https://abf.rosalinux.ru)
Group:          System/Configuration/Packaging
Provides:       python-abf = %{version}-%{release}

%description -n python-abf
%{name} is the python API to ABF (https://abf.rosalinux.ru).
It contains a set of basic operations, done with either HTML
parsing or through ABF json API. It also provides datamodel to
operate with.

%prep
%setup -qn %{name}-v%{version}

%build
pushd po
%make
popd

%install
make install DESTDIR=%{buildroot}
ln -s %{_datadir}/bash-completion/abf %{buildroot}/%{_sysconfdir}/bash_completion.d/abf
pushd po
%makeinstall_std
popd

%find_lang %{name}

%files -f %{name}.lang
%dir %{py_puresitedir}/abf/console
%{py_puresitedir}/abf/console/*.py*
%{_bindir}/abf
#bash_completion files
%{_datadir}/bash-completion/abf 
%{_sysconfdir}/bash_completion.d/abf
%{_sysconfdir}/profile.d/abfcd.sh
%dir %{_sysconfdir}/abf/mock-urpm/configs/
%{_sysconfdir}/abf/mock-urpm/configs/*
%dir /var/cache/abf/
%dir /var/cache/abf/mock-urpm/
%dir /var/lib/abf/mock-urpm/src
%dir /var/lib/abf/
%dir /var/lib/abf/mock-urpm

%files -n python-abf
%dir %{py_puresitedir}/abf
%dir %{py_puresitedir}/abf/api
%{py_puresitedir}/abf/*.py*
%{py_puresitedir}/abf/api/*.py*

%changelog

* Sun Oct 22 2017 Denis Silakov <denis.silakov@rosalab.ru> 2.7.1-1
- (585cf4c) Ignore trailing '/' in project names

* Mon Aug 21 2017 Denis Silakov <dsilakov@virtuozzo.com> 2.7-1
- (69ac614) Improve get_project* functions

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.6.3-2
- (c0a4ece) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Denis Silakov <denis.silakov@rosalab.ru> 2.6.3-1
- (06cdd09) More improvements in error reporting

* Sun Jan 29 2017 Denis Silakov <denis.silakov@rosalab.ru> 2.6.2-1
- (980093e) Throw exception during 'add' if the project is already added to some repo of the same platform

* Wed Jan 11 2017 Denis Silakov <dsilakov@virtuozzo.com> 2.6.1-1
- (1d1b2d3) Remove usage of temp forlder for rpmbuild - not safe, but some users need it...

* Wed Dec 28 2016 Denis Silakov <denis.silakov@rosalab.ru> 2.6-1
- (8316633) Use safe temp folder for local rpm build, copy downloaded source files into the working folder, save BUILD and BUILDROOT in case of build failure

* Thu Dec 15 2016 Denis Silakov <denis.silakov@rosalab.ru> 2.5.4-1
- (8be2e56) Add option to save all artefacts to rpmbuild command

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.5.3-3
- (227ae71) MassBuild#1169: Increase release tag

* Wed Mar 30 2016 Denis Silakov <dsilakov@gmail.com> 2.5.1-2
- (22752ba) Use versioned provides for abf and aliases

* Sat Jan 23 2016 Denis Silakov <denis.silakov@rosalab.ru> 2.5.3-1
- (08781b9) Fix possible problems with launch of 'abf build' in non-ascii locale

* Tue Jan 05 2016 Denis Silakov <denis.silakov@rosalab.ru> 2.5.2-1
- (76c95f8) Revert latest change - we do have use cases of 'abf put' when '-m' is not required

* Thu Dec 24 2015 Denis Silakov <dsilakov@gmail.com> 2.5.1-1
- (e6615a2) '-m' is an obligatory option for 'abf put'

* Thu Dec 03 2015 Denis Silakov <dsilakov@gmail.com> 2.5-1
- (69a02b5) Added possibility to create empty projects

* Thu Jun 04 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.9-1
- (a2c0490) By default, do not add new folders and binary files during 'abf put'

* Wed May 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.8-1
- (cf6dc2e) Supress output and errors when setting maintainer of a new project for now, since only admins can set maintainers

* Mon May 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.7-1
- (3b2d0bb) Gracefully handle situations when defaukt_publish_status is not set in config

* Tue May 05 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.6-1
- (7a4cdb3) Fix issue with auto-publish

* Tue Apr 28 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.5-1
- (5dd724e) Set maintainer when creating a new project

* Mon Apr 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.4-1
- (c1b2654) Ask for default_publish_status when creating new config

* Mon Apr 27 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4.3-1
- (c59e473) Allow setting default_publish_status in config file

* Wed Apr 01 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.4.1-1
- (e4f19d6) Support API option "external_nodes" for starting build

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2.4-2
- (9970525) MassBuild#656: Increase release tag

* Wed Feb 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.4-1
- (77515fe) 2.4 - resolve conflict between 'alias' commands, code cleanup

* Wed Feb 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3.4-1
- (4e57a0e) abf rpmbuild: do not fetch if there is no .abf.yml

* Wed Feb 18 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3.3-1
- (ce99833) Added hack for rosa2014.1 branch and current platform

* Tue Feb 17 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3.2-1
- (f7b94c7) 2.3.2 - Update l10n and bash completion

* Fri Feb 13 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.3-1
- (d776bd3) 2.3 - really add 'remote' command

* Tue Feb 10 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.2.3-1
- (26787c2) Allow specifying --skip-proj-cfg-update for 'abf get'

* Sun Feb 08 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.2.2-1
- (f108084) Add 'abf remote' command

* Wed Feb 04 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.2.1-1
- (eb93346) Bump version

* Wed Feb 04 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.2-1
- (66ef80e) Add 'alias' command

* Tue Jan 20 2015 Denis Silakov <denis.silakov@rosalab.ru> 2.1.8-1
- (72ef810) Fix save-to-repos and save-to-platforms in 'abf show'


